defmodule RitDatabase.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  def start(_type, _args) do
    # Perform bootstrap before starting application
    RitDatabase.Tasks.bootstrap()

    # List all child processes to be supervised
    children = [
      # Start the Ecto repository
      RitDatabase.Repo,
      # Starts a worker by calling: RitDatabase.Worker.start_link(arg)
      # {RitDatabase.Worker, arg},
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: RitDatabase.Supervisor]
    Supervisor.start_link(children, opts)
  end
end
